curl --request POST \
--url https://api.aimtell.com/prod/prompts/{idSite}/condition \
--header 'Content-Type: application/json' \
--header 'X-Authorization-Api-Key: <api-key>' \
--data '
{
"page": "<string>",
"promptId": 123,
"autoPrompt": 1,
"priority": 123,
"device_type": "<string>",
"seconds_delay": null,
"scroll_delay": null,
"pages_delay": null,
"cookie_required": "<string>",
"browser": "<string>"
}
'import requests
url = "https://api.aimtell.com/prod/prompts/{idSite}/condition"
payload = {
"page": "<string>",
"promptId": 123,
"autoPrompt": 1,
"priority": 123,
"device_type": "<string>",
"seconds_delay": None,
"scroll_delay": None,
"pages_delay": None,
"cookie_required": "<string>",
"browser": "<string>"
}
headers = {
"X-Authorization-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Authorization-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: '<string>',
promptId: 123,
autoPrompt: 1,
priority: 123,
device_type: '<string>',
seconds_delay: null,
scroll_delay: null,
pages_delay: null,
cookie_required: '<string>',
browser: '<string>'
})
};
fetch('https://api.aimtell.com/prod/prompts/{idSite}/condition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success",
"message": "Succesfully added prompt condition.",
"id": 1234
}{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Create Opt-in Prompt Condition
Creates opt-in prompt condition
Note: If autoPrompt is set to true, seconds_delay, scroll_delay, and pages_delay should be set to NULL. If autoPrompt is set to false, provide a value for only one of the delay options, setting the other two to NULL (e.g. seconds_delay = 5, scroll_delay = NULL, pages_delay = NULL)
If values are set for multiple delay options, they will be evaluated in the following order: autoPrompt, scroll_delay, seconds_delay, pages_delay.
Authorizations
Path Parameters
Website ID
Body
Page
Prompt ID to add condition
Auto Prompt (1 = true, 0 = false)
Priority (1-10, 10 = highest)
Device Type (any, mobile, desktop)
Seconds Delay (number of seconds)
Scroll Delay (percent of page e.g. 50)
Pages Delay (pages viewed e.g. 3)
Cookie Required (name of cookie)
Browser (any, chrome, firefox, edge, opera, safari)
Response
200

